<?php
// phpcs:ignoreFile
/**
 * @file
 * A database agnostic dump for testing purposes.
 *
 * This file was generated by the Drupal 9.3.13 db-tools.php script.
 */

use Drupal\Core\Database\Database;

$connection = Database::getConnection();
// Ensure any tables with a serial column with a value of 0 are created as
// expected.
if ($connection->databaseType() === 'mysql') {
  $sql_mode = $connection->query("SELECT @@sql_mode;")->fetchField();
  $connection->query("SET sql_mode = '$sql_mode,NO_AUTO_VALUE_ON_ZERO'");
}

$connection->schema()->createTable('aggregator_item', array(
  'fields' => array(
    'iid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'fid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'link' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'author' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'description' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'big',
    ),
    'timestamp' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'guid' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '255',
    ),
  ),
  'primary key' => array(
    'iid',
  ),
  'indexes' => array(
    'fid' => array(
      'fid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('aggregator_item')
->fields(array(
  'iid',
  'fid',
  'title',
  'link',
  'author',
  'description',
  'timestamp',
  'guid',
))
->values(array(
  'iid' => '1',
  'fid' => '1',
  'title' => "Mr. Incredible Got Even More Traumatized With The Addition Of 'People Who Know' Caption",
  'link' => 'https://knowyourmeme.com/memes/traumatized-mr-incredible-people-who-dont-know-vs-people-who-know',
  'author' => '',
  'description' => "<img alt=\"A6a\" src=\"https://i.kym-cdn.com/news_feeds/icons/mobile/000/057/408/a6a.jpg\" /><p>The slight change helped Mr. Incredible's latest format reach new heights as people rummaged in their memories for traumatic plot twists.</p>",
  'timestamp' => '1632263872',
  'guid' => 'post:57408',
))
->values(array(
  'iid' => '2',
  'fid' => '1',
  'title' => 'UK Man Discovers Haunted Doll In His Walls, Ignores Friends Begging Him To Leave',
  'link' => 'https://news.knowyourmeme.com/news/uk-man-discovers-haunted-doll-in-his-walls-ignores-friends-begging-him-to-leave',
  'author' => '',
  'description' => "<img alt=\"Screen_shot_2021-09-21_at_1.56.53_pm\" src=\"https://i.kym-cdn.com/news/posts/mobile/000/001/429/Screen_Shot_2021-09-21_at_1.56.53_PM.png\" /><p>\"It's probably just a prank,\" he said, tempting fate.</p>",
  'timestamp' => '1632248254',
  'guid' => 'post:57398',
))
->values(array(
  'iid' => '3',
  'fid' => '1',
  'title' => "Weekly Twitter Round-Up: 20 Of This Week's Best Tweets",
  'link' => 'https://knowyourmeme.com/editorials/collections/weekly-twitter-round-up-20-of-this-weeks-best-tweets',
  'author' => '',
  'description' => "<img alt=\"Tweets2header\" src=\"https://i.kym-cdn.com/editorials/icons/mobile/000/003/334/tweets2header.jpg\" /><p>Enjoy the best from Twitter's weirdest!</p>",
  'timestamp' => '1632256493',
  'guid' => 'post:57404',
))
->values(array(
  'iid' => '4',
  'fid' => '1',
  'title' => "Top TV Memes: The Best Formats From 'Avatar: The Last Airbender'",
  'link' => 'https://knowyourmeme.com/editorials/meme-insider/top-tv-memes-the-best-formats-from-avatar-the-last-airbender',
  'author' => '',
  'description' => "<img alt=\"Atla_(2)\" src=\"https://i.kym-cdn.com/editorials/icons/mobile/000/003/333/atla_(2).jpg\" /><p>What was once a childhood favorite makes a lot more sense now that we're grown up. These are some of the best episodes that have sparked meme formats.</p>",
  'timestamp' => '1632216417',
  'guid' => 'post:57378',
))
->values(array(
  'iid' => '5',
  'fid' => '1',
  'title' => "20 'Schitt's Creek' Memes To Give You A Taste Of The Good Life",
  'link' => 'https://knowyourmeme.com/editorials/collections/20-schitts-creek-memes-to-give-you-a-taste-of-the-good-life',
  'author' => '',
  'description' => '<img alt="Creekban" src="https://i.kym-cdn.com/editorials/icons/mobile/000/003/336/creekban.jpg" /><p>The Canadian sitcom is a perfect mix of rooting for people and rooting for them to fail.</p>',
  'timestamp' => '1632265142',
  'guid' => 'post:57409',
))
->values(array(
  'iid' => '6',
  'fid' => '1',
  'title' => "Sonic, Don't Say It!",
  'link' => 'https://knowyourmeme.com/videos/362938-among-us',
  'author' => '',
  'description' => '<img alt="Fc5" src="https://i.kym-cdn.com/news_feeds/icons/mobile/000/057/382/fc5.jpg" /><p>Holy cr*p he said it.</p>',
  'timestamp' => '1632230273',
  'guid' => 'post:57382',
))
->values(array(
  'iid' => '7',
  'fid' => '1',
  'title' => "Vinesauce, SiIvaGunner, And 'Cyberpunk 2077' Converged To Bring A 14-year-old Animation Back To Life",
  'link' => 'https://knowyourmeme.com/memes/subcultures/the-goblin-dance-by-sam-westphalen',
  'author' => '',
  'description' => '<img alt="Goblindance" src="https://i.kym-cdn.com/entries/icons/mobile/000/038/352/goblindance.jpg" /><p>These goblins like the pain.</p>',
  'timestamp' => '1632255193',
  'guid' => 'post:57402',
))
->values(array(
  'iid' => '8',
  'fid' => '1',
  'title' => "'Wildest Dreams' Inspires TikTok Trend Of Girls Reenacting The Discovery Of Their Childhood Crushes",
  'link' => 'https://knowyourmeme.com/memes/wildest-dreams-childhood-crush-tiktoks',
  'author' => '',
  'description' => '<img alt="Screen_shot_2021-09-21_at_2.24.52_pm" src="https://i.kym-cdn.com/entries/icons/mobile/000/038/380/Screen_Shot_2021-09-21_at_2.24.52_PM.jpg" /><p>The videos feature a slow zoom as the girls have their minds blown by hunks and hotties of the 2000s.</p>',
  'timestamp' => '1632251103',
  'guid' => 'post:57400',
))
->values(array(
  'iid' => '9',
  'fid' => '1',
  'title' => "When You Don't Want To Be Proven Wrong, Just Say I'm Not Reading That",
  'link' => 'https://knowyourmeme.com/memes/im-not-reading-that',
  'author' => '',
  'description' => "<img alt=\"99e\" src=\"https://i.kym-cdn.com/news_feeds/icons/mobile/000/057/410/99e.jpg\" /><p>\"I'm Not Reading That\" is the best catchphrase to say when someone gives you the exact source you asked for that would destroy your statement if you actually cared to read it.</p>",
  'timestamp' => '1632276676',
  'guid' => 'post:57410',
))
->values(array(
  'iid' => '10',
  'fid' => '1',
  'title' => 'Gone, But Never Forgotten',
  'link' => 'https://knowyourmeme.com/photos/2198789-simpsons-bortposting',
  'author' => '',
  'description' => '<img alt="8a5" src="https://i.kym-cdn.com/photos/images/newsfeed/002/198/789/8a5.jpg" />',
  'timestamp' => '1632238666',
  'guid' => 'post:57388',
))
->execute();

// Reset the SQL mode.
if ($connection->databaseType() === 'mysql') {
  $connection->query("SET sql_mode = '$sql_mode'");
}