<?php
// phpcs:ignoreFile
/**
 * @file
 * A database agnostic dump for testing purposes.
 *
 * This file was generated by the Drupal 9.3.13 db-tools.php script.
 */

use Drupal\Core\Database\Database;

$connection = Database::getConnection();
// Ensure any tables with a serial column with a value of 0 are created as
// expected.
if ($connection->databaseType() === 'mysql') {
  $sql_mode = $connection->query("SELECT @@sql_mode;")->fetchField();
  $connection->query("SET sql_mode = '$sql_mode,NO_AUTO_VALUE_ON_ZERO'");
}

$connection->schema()->createTable('menu', array(
  'fields' => array(
    'mid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'pid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'path' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'description' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'type' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'mid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('menu')
->fields(array(
  'mid',
  'pid',
  'path',
  'title',
  'description',
  'weight',
  'type',
))
->values(array(
  'mid' => '2',
  'pid' => '0',
  'path' => '',
  'title' => 'Primary links',
  'description' => '',
  'weight' => '0',
  'type' => '115',
))
->values(array(
  'mid' => '3',
  'pid' => '1',
  'path' => 'aggregator',
  'title' => 'News aggregator',
  'description' => '',
  'weight' => '5',
  'type' => '22',
))
->values(array(
  'mid' => '4',
  'pid' => '1',
  'path' => 'blog',
  'title' => 'Blogs',
  'description' => '',
  'weight' => '0',
  'type' => '20',
))
->values(array(
  'mid' => '5',
  'pid' => '1',
  'path' => 'book',
  'title' => 'Books',
  'description' => '',
  'weight' => '0',
  'type' => '20',
))
->values(array(
  'mid' => '6',
  'pid' => '1',
  'path' => 'contact',
  'title' => 'Contact',
  'description' => '',
  'weight' => '0',
  'type' => '20',
))
->values(array(
  'mid' => '7',
  'pid' => '1',
  'path' => 'filter/tips',
  'title' => 'Compose tips',
  'description' => '',
  'weight' => '0',
  'type' => '20',
))
->values(array(
  'mid' => '8',
  'pid' => '1',
  'path' => 'forum',
  'title' => 'Forums',
  'description' => '',
  'weight' => '0',
  'type' => '20',
))
->values(array(
  'mid' => '9',
  'pid' => '1',
  'path' => 'node',
  'title' => 'Content',
  'description' => '',
  'weight' => '0',
  'type' => '16',
))
->values(array(
  'mid' => '10',
  'pid' => '1',
  'path' => 'poll',
  'title' => 'Polls',
  'description' => '',
  'weight' => '0',
  'type' => '20',
))
->values(array(
  'mid' => '11',
  'pid' => '1',
  'path' => 'profile',
  'title' => 'User list',
  'description' => '',
  'weight' => '0',
  'type' => '20',
))
->values(array(
  'mid' => '12',
  'pid' => '1',
  'path' => 'admin',
  'title' => 'Administer',
  'description' => '',
  'weight' => '9',
  'type' => '22',
))
->values(array(
  'mid' => '13',
  'pid' => '1',
  'path' => 'tracker',
  'title' => 'Recent posts',
  'description' => '',
  'weight' => '1',
  'type' => '22',
))
->values(array(
  'mid' => '14',
  'pid' => '1',
  'path' => 'logout',
  'title' => 'Log out',
  'description' => '',
  'weight' => '10',
  'type' => '22',
))
->values(array(
  'mid' => '15',
  'pid' => '3',
  'path' => 'aggregator/sources',
  'title' => 'Sources',
  'description' => '',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '16',
  'pid' => '3',
  'path' => 'aggregator/categories',
  'title' => 'Categories',
  'description' => '',
  'weight' => '0',
  'type' => '28',
))
->values(array(
  'mid' => '17',
  'pid' => '12',
  'path' => 'admin/help',
  'title' => 'Help',
  'description' => '',
  'weight' => '9',
  'type' => '22',
))
->values(array(
  'mid' => '18',
  'pid' => '12',
  'path' => 'admin/content',
  'title' => 'Content management',
  'description' => "Manage your site's content.",
  'weight' => '-10',
  'type' => '22',
))
->values(array(
  'mid' => '19',
  'pid' => '9',
  'path' => 'node/add',
  'title' => 'Create content',
  'description' => '',
  'weight' => '1',
  'type' => '28',
))
->values(array(
  'mid' => '20',
  'pid' => '12',
  'path' => 'admin/settings',
  'title' => 'Site configuration',
  'description' => 'Adjust basic site configuration options.',
  'weight' => '-5',
  'type' => '22',
))
->values(array(
  'mid' => '21',
  'pid' => '12',
  'path' => 'admin/build',
  'title' => 'Site building',
  'description' => 'Control how your site looks and feels.',
  'weight' => '-10',
  'type' => '22',
))
->values(array(
  'mid' => '22',
  'pid' => '12',
  'path' => 'admin/logs',
  'title' => 'Logs',
  'description' => 'View system logs and other status information.',
  'weight' => '5',
  'type' => '22',
))
->values(array(
  'mid' => '23',
  'pid' => '12',
  'path' => 'admin/user',
  'title' => 'User management',
  'description' => "Manage your site's users, groups and access to site features.",
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '24',
  'pid' => '18',
  'path' => 'admin/content/aggregator',
  'title' => 'News aggregator',
  'description' => "Configure which content your site aggregates from other sites, how often it polls them, and how they're categorized.",
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '25',
  'pid' => '21',
  'path' => 'admin/build/block',
  'title' => 'Blocks',
  'description' => "Configure what block content appears in your site's sidebars and other regions.",
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '26',
  'pid' => '20',
  'path' => 'admin/settings/blogapi',
  'title' => 'Blog APIs',
  'description' => 'Configure which content types and engines external blog clients can use.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '27',
  'pid' => '18',
  'path' => 'admin/content/book',
  'title' => 'Books',
  'description' => "Manage site's books and orphaned book pages.",
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '28',
  'pid' => '18',
  'path' => 'admin/content/comment',
  'title' => 'Comments',
  'description' => 'List and edit site comments and the comment moderation queue.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '29',
  'pid' => '21',
  'path' => 'admin/build/contact',
  'title' => 'Contact form',
  'description' => 'Create a system contact form and set up categories for the form to use.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '30',
  'pid' => '20',
  'path' => 'admin/settings/filters',
  'title' => 'Input formats',
  'description' => 'Configure how content input by users is filtered, including allowed HTML tags, PHP code tags. Also allows enabling of module-provided filters.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '31',
  'pid' => '18',
  'path' => 'admin/content/forum',
  'title' => 'Forums',
  'description' => 'Control forums and their hierarchy and change forum settings.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '32',
  'pid' => '20',
  'path' => 'admin/settings/locale',
  'title' => 'Localization',
  'description' => 'Configure site localization and user interface translation.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '33',
  'pid' => '21',
  'path' => 'admin/build/menu',
  'title' => 'Menus',
  'description' => "Control your site's navigation menu, primary links and secondary links. as well as rename and reorganize menu items.",
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '34',
  'pid' => '18',
  'path' => 'admin/content/node',
  'title' => 'Content',
  'description' => "View, edit, and delete your site's content.",
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '35',
  'pid' => '18',
  'path' => 'admin/content/node-settings',
  'title' => 'Post settings',
  'description' => 'Control posting behavior, such as teaser length, requiring previews before posting, and the number of posts on the front page.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '36',
  'pid' => '18',
  'path' => 'admin/content/types',
  'title' => 'Content types',
  'description' => 'Manage posts by content type, including default status, front page promotion, etc.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '37',
  'pid' => '19',
  'path' => 'node/add/blog',
  'title' => 'Blog entry',
  'description' => '',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '38',
  'pid' => '19',
  'path' => 'node/add/book',
  'title' => 'Book page',
  'description' => '',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '39',
  'pid' => '19',
  'path' => 'node/add/forum',
  'title' => 'Forum topic',
  'description' => '',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '40',
  'pid' => '19',
  'path' => 'node/add/poll',
  'title' => 'Poll',
  'description' => '',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '41',
  'pid' => '19',
  'path' => 'node/add/page',
  'title' => 'Page',
  'description' => '',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '42',
  'pid' => '19',
  'path' => 'node/add/story',
  'title' => 'Story',
  'description' => '',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '43',
  'pid' => '21',
  'path' => 'admin/build/path',
  'title' => 'URL aliases',
  'description' => "Change your site's URL paths by aliasing them.",
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '44',
  'pid' => '23',
  'path' => 'admin/user/profile',
  'title' => 'Profiles',
  'description' => 'Create customizable fields for your users.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '45',
  'pid' => '22',
  'path' => 'admin/logs/hits',
  'title' => 'Recent hits',
  'description' => 'View pages that have recently been visited.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '46',
  'pid' => '22',
  'path' => 'admin/logs/pages',
  'title' => 'Top pages',
  'description' => 'View pages that have been hit frequently.',
  'weight' => '1',
  'type' => '22',
))
->values(array(
  'mid' => '47',
  'pid' => '22',
  'path' => 'admin/logs/visitors',
  'title' => 'Top visitors',
  'description' => 'View visitors that hit many pages.',
  'weight' => '2',
  'type' => '22',
))
->values(array(
  'mid' => '48',
  'pid' => '22',
  'path' => 'admin/logs/referrers',
  'title' => 'Top referrers',
  'description' => 'View top referrers.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '49',
  'pid' => '22',
  'path' => 'admin/logs/settings',
  'title' => 'Access log settings',
  'description' => 'Control details about what and how your site logs.',
  'weight' => '3',
  'type' => '22',
))
->values(array(
  'mid' => '50',
  'pid' => '20',
  'path' => 'admin/settings/admin',
  'title' => 'Administration theme',
  'description' => 'Settings for how your administrative pages should look.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '51',
  'pid' => '21',
  'path' => 'admin/build/themes',
  'title' => 'Themes',
  'description' => 'Change which theme your site uses or allows users to set.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '52',
  'pid' => '21',
  'path' => 'admin/build/modules',
  'title' => 'Modules',
  'description' => 'Enable or disable add-on modules for your site.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '53',
  'pid' => '20',
  'path' => 'admin/settings/site-information',
  'title' => 'Site information',
  'description' => 'Change basic site information, such as the site name, slogan, e-mail address, mission, front page and more.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '54',
  'pid' => '20',
  'path' => 'admin/settings/error-reporting',
  'title' => 'Error reporting',
  'description' => 'Control how Drupal deals with errors including 403/404 errors as well as PHP error reporting.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '55',
  'pid' => '20',
  'path' => 'admin/settings/performance',
  'title' => 'Performance',
  'description' => 'Enable or disable page caching for anonymous users, and enable or disable CSS preprocessor.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '56',
  'pid' => '20',
  'path' => 'admin/settings/file-system',
  'title' => 'File system',
  'description' => 'Tell Drupal where to store uploaded files and how they are accessed.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '57',
  'pid' => '20',
  'path' => 'admin/settings/image-toolkit',
  'title' => 'Image toolkit',
  'description' => 'Choose which image toolkit to use if you have installed optional toolkits.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '58',
  'pid' => '18',
  'path' => 'admin/content/rss-publishing',
  'title' => 'RSS publishing',
  'description' => 'Configure the number of items per feed and whether feeds should be titles/teasers/full-text.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '59',
  'pid' => '20',
  'path' => 'admin/settings/date-time',
  'title' => 'Date and time',
  'description' => "Settings for how Drupal displays date and time, as well as the system's default timezone.",
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '60',
  'pid' => '20',
  'path' => 'admin/settings/site-maintenance',
  'title' => 'Site maintenance',
  'description' => 'Take the site off-line for maintenance or bring it back online.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '61',
  'pid' => '20',
  'path' => 'admin/settings/clean-urls',
  'title' => 'Clean URLs',
  'description' => 'Enable or disable clean URLs for your site.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '62',
  'pid' => '22',
  'path' => 'admin/logs/status',
  'title' => 'Status report',
  'description' => "Get a status report about your site's operation and any detected problems.",
  'weight' => '10',
  'type' => '22',
))
->values(array(
  'mid' => '63',
  'pid' => '18',
  'path' => 'admin/content/taxonomy',
  'title' => 'Categories',
  'description' => 'Create vocabularies and terms to categorize your content.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '64',
  'pid' => '20',
  'path' => 'admin/settings/uploads',
  'title' => 'File uploads',
  'description' => 'Control how files may be attached to content.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '65',
  'pid' => '23',
  'path' => 'admin/user/user',
  'title' => 'Users',
  'description' => 'List, add, and edit users.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '66',
  'pid' => '23',
  'path' => 'admin/user/settings',
  'title' => 'User settings',
  'description' => 'Configure default behavior of users, including registration requirements, e-mails, and user pictures.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '67',
  'pid' => '23',
  'path' => 'admin/user/access',
  'title' => 'Access control',
  'description' => 'Determine access to features by selecting permissions for roles.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '68',
  'pid' => '23',
  'path' => 'admin/user/roles',
  'title' => 'Roles',
  'description' => 'List, edit, or add user roles.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '69',
  'pid' => '23',
  'path' => 'admin/user/rules',
  'title' => 'Access rules',
  'description' => 'List and create rules to disallow usernames, e-mail addresses, and IP addresses.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '70',
  'pid' => '22',
  'path' => 'admin/logs/watchdog',
  'title' => 'Recent log entries',
  'description' => 'View events that have recently been logged.',
  'weight' => '-1',
  'type' => '22',
))
->values(array(
  'mid' => '71',
  'pid' => '22',
  'path' => 'admin/logs/page-not-found',
  'title' => "Top 'page not found' errors",
  'description' => "View 'page not found' errors (404s).",
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '72',
  'pid' => '22',
  'path' => 'admin/logs/access-denied',
  'title' => "Top 'access denied' errors",
  'description' => "View 'access denied' errors (403s).",
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '73',
  'pid' => '23',
  'path' => 'admin/user/generate',
  'title' => 'Generate users',
  'description' => 'Generate a given number of users. Optionally delete current users.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '74',
  'pid' => '18',
  'path' => 'admin/content/generate',
  'title' => 'Generate content',
  'description' => 'Generate a given number of nodes and comments. Optionally delete current items.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '75',
  'pid' => '18',
  'path' => 'admin/content/generate_taxonomy',
  'title' => 'Generate categories',
  'description' => 'Generate a given number of vocabularies and terms. Optionally delete current categories.',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '76',
  'pid' => '2',
  'path' => 'node/7',
  'title' => 'Sino Ullamcorper At At Abluo menu',
  'description' => 'Sino Ullamcorper At At Abluo menu description',
  'weight' => '0',
  'type' => '118',
))
->values(array(
  'mid' => '77',
  'pid' => '76',
  'path' => 'node/17',
  'title' => 'Olim Mos Iriure Singularis Vel Appellatio Probo Neque menu',
  'description' => 'Olim Mos Iriure Singularis Vel Appellatio Probo Neque menu description',
  'weight' => '7',
  'type' => '118',
))
->values(array(
  'mid' => '78',
  'pid' => '2',
  'path' => 'node/13',
  'title' => 'Genitus Euismod menu',
  'description' => 'Genitus Euismod menu description',
  'weight' => '-6',
  'type' => '118',
))
->values(array(
  'mid' => '79',
  'pid' => '16',
  'path' => 'aggregator/categories/1',
  'title' => 'Drupal',
  'description' => '',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '80',
  'pid' => '16',
  'path' => 'aggregator/categories/2',
  'title' => 'Example feed category',
  'description' => '',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '81',
  'pid' => '16',
  'path' => 'aggregator/categories/3',
  'title' => 'Drupal feed category',
  'description' => '',
  'weight' => '0',
  'type' => '22',
))
->values(array(
  'mid' => '82',
  'pid' => '16',
  'path' => 'aggregator/categories/4',
  'title' => 'Example feed category',
  'description' => '',
  'weight' => '0',
  'type' => '22',
))
->execute();

// Reset the SQL mode.
if ($connection->databaseType() === 'mysql') {
  $connection->query("SET sql_mode = '$sql_mode'");
}