<?php
// phpcs:ignoreFile
/**
 * @file
 * A database agnostic dump for testing purposes.
 *
 * This file was generated by the Drupal 9.3.13 db-tools.php script.
 */

use Drupal\Core\Database\Database;

$connection = Database::getConnection();
// Ensure any tables with a serial column with a value of 0 are created as
// expected.
if ($connection->databaseType() === 'mysql') {
  $sql_mode = $connection->query("SELECT @@sql_mode;")->fetchField();
  $connection->query("SET sql_mode = '$sql_mode,NO_AUTO_VALUE_ON_ZERO'");
}

$connection->schema()->createTable('node', array(
  'fields' => array(
    'nid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'status' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '1',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'changed' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'comment' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'promote' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'moderate' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'sticky' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'nid',
    'vid',
  ),
  'unique keys' => array(
    'vid' => array(
      'vid',
    ),
  ),
  'indexes' => array(
    'node_type' => array(
      array(
        'type',
        '4',
      ),
    ),
    'node_title_type' => array(
      'title',
      array(
        'type',
        '4',
      ),
    ),
    'status' => array(
      'status',
    ),
    'uid' => array(
      'uid',
    ),
    'node_moderate' => array(
      'moderate',
    ),
    'node_promote_status' => array(
      'promote',
      'status',
    ),
    'node_created' => array(
      'created',
    ),
    'node_changed' => array(
      'changed',
    ),
    'node_status_type' => array(
      'status',
      'type',
      'nid',
    ),
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('node')
->fields(array(
  'nid',
  'vid',
  'type',
  'title',
  'uid',
  'status',
  'created',
  'changed',
  'comment',
  'promote',
  'moderate',
  'sticky',
))
->values(array(
  'nid' => '1',
  'vid' => '1',
  'type' => 'forum',
  'title' => 'Premo Verto Esca Humo',
  'uid' => '8',
  'status' => '0',
  'created' => '1632094794',
  'changed' => '1632094794',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
))
->values(array(
  'nid' => '2',
  'vid' => '2',
  'type' => 'book',
  'title' => 'Enim Abluo Dolor Voco Torqueo',
  'uid' => '1',
  'status' => '1',
  'created' => '1632094798',
  'changed' => '1632094798',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
))
->values(array(
  'nid' => '3',
  'vid' => '3',
  'type' => 'blog',
  'title' => 'Premo Populus Distineo Ille Qui Persto At',
  'uid' => '2',
  'status' => '1',
  'created' => '1632094801',
  'changed' => '1632150309',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
))
->values(array(
  'nid' => '4',
  'vid' => '4',
  'type' => 'book',
  'title' => 'Eros Iriure Euismod Nostrud Iriure',
  'uid' => '0',
  'status' => '1',
  'created' => '1632094813',
  'changed' => '1632095094',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
))
->values(array(
  'nid' => '5',
  'vid' => '5',
  'type' => 'forum',
  'title' => 'Tincidunt Premo Ymo Pala',
  'uid' => '0',
  'status' => '1',
  'created' => '1632094823',
  'changed' => '1632094823',
  'comment' => '2',
  'promote' => '0',
  'moderate' => '0',
  'sticky' => '0',
))
->values(array(
  'nid' => '6',
  'vid' => '6',
  'type' => 'book',
  'title' => 'Turpis Ad Decet Exputo Natu Iustum Nimis',
  'uid' => '6',
  'status' => '1',
  'created' => '1632094834',
  'changed' => '1632094834',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
))
->values(array(
  'nid' => '7',
  'vid' => '19',
  'type' => 'book',
  'title' => 'Sino Ullamcorper At At Abluo - ver. 2',
  'uid' => '5',
  'status' => '1',
  'created' => '1632094845',
  'changed' => '1632171950',
  'comment' => '1',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
))
->values(array(
  'nid' => '8',
  'vid' => '22',
  'type' => 'page',
  'title' => 'Melior Causa Ille - ver. 2',
  'uid' => '6',
  'status' => '1',
  'created' => '1632094884',
  'changed' => '1632171754',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
))
->values(array(
  'nid' => '9',
  'vid' => '9',
  'type' => 'page',
  'title' => 'Ideo Abigo Fere Zelus Typicus Paulatim Aptent',
  'uid' => '2',
  'status' => '1',
  'created' => '1632094891',
  'changed' => '1632094891',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
))
->values(array(
  'nid' => '10',
  'vid' => '10',
  'type' => 'blog',
  'title' => 'Exputo Commodo Singularis Ulciscor Illum Humo Validus',
  'uid' => '5',
  'status' => '0',
  'created' => '1632094900',
  'changed' => '1632094900',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
))
->values(array(
  'nid' => '12',
  'vid' => '12',
  'type' => 'story',
  'title' => 'Elit Pecus Dolus Refoveo Nutus Loquor',
  'uid' => '1',
  'status' => '1',
  'created' => '1632094939',
  'changed' => '1632095230',
  'comment' => '2',
  'promote' => '0',
  'moderate' => '0',
  'sticky' => '0',
))
->values(array(
  'nid' => '13',
  'vid' => '21',
  'type' => 'blog',
  'title' => 'Genitus Euismod - ver. 2',
  'uid' => '7',
  'status' => '1',
  'created' => '1632008566',
  'changed' => '1632172006',
  'comment' => '2',
  'promote' => '0',
  'moderate' => '0',
  'sticky' => '1',
))
->values(array(
  'nid' => '14',
  'vid' => '14',
  'type' => 'page',
  'title' => 'Autem Camur Tamen Praesent Jumentum Olim Defui',
  'uid' => '6',
  'status' => '0',
  'created' => '1632095030',
  'changed' => '1632095030',
  'comment' => '2',
  'promote' => '0',
  'moderate' => '0',
  'sticky' => '0',
))
->values(array(
  'nid' => '15',
  'vid' => '15',
  'type' => 'blog',
  'title' => 'Sagaciter Plaga',
  'uid' => '7',
  'status' => '1',
  'created' => '1632095039',
  'changed' => '1632095039',
  'comment' => '2',
  'promote' => '0',
  'moderate' => '0',
  'sticky' => '0',
))
->values(array(
  'nid' => '16',
  'vid' => '16',
  'type' => 'story',
  'title' => 'Rusticus Paratus Dolor Haero Distineo Te Odio',
  'uid' => '5',
  'status' => '1',
  'created' => '1632095046',
  'changed' => '1632095211',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
))
->values(array(
  'nid' => '17',
  'vid' => '20',
  'type' => 'book',
  'title' => 'Olim Mos Iriure Singularis Vel Appellatio Probo Neque - ver. 2',
  'uid' => '6',
  'status' => '1',
  'created' => '1632095136',
  'changed' => '1632170713',
  'comment' => '1',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '1',
))
->values(array(
  'nid' => '18',
  'vid' => '18',
  'type' => 'story',
  'title' => 'Venio Huic Volutpat Loquor Ibidem Volutpat Appellatio',
  'uid' => '0',
  'status' => '1',
  'created' => '1632095494',
  'changed' => '1632095494',
  'comment' => '2',
  'promote' => '0',
  'moderate' => '0',
  'sticky' => '0',
))
->values(array(
  'nid' => '19',
  'vid' => '23',
  'type' => 'poll',
  'title' => 'What is Love?',
  'uid' => '7',
  'status' => '1',
  'created' => '1631308158',
  'changed' => '1632172304',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '1',
))
->values(array(
  'nid' => '20',
  'vid' => '24',
  'type' => 'poll',
  'title' => 'What is the Question?',
  'uid' => '1',
  'status' => '1',
  'created' => '1632172356',
  'changed' => '1632172469',
  'comment' => '1',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
))
->execute();

// Reset the SQL mode.
if ($connection->databaseType() === 'mysql') {
  $connection->query("SET sql_mode = '$sql_mode'");
}