<?php
// phpcs:ignoreFile
/**
 * @file
 * A database agnostic dump for testing purposes.
 *
 * This file was generated by the Drupal 9.3.13 db-tools.php script.
 */

use Drupal\Core\Database\Database;

$connection = Database::getConnection();
// Ensure any tables with a serial column with a value of 0 are created as
// expected.
if ($connection->databaseType() === 'mysql') {
  $sql_mode = $connection->query("SELECT @@sql_mode;")->fetchField();
  $connection->query("SET sql_mode = '$sql_mode,NO_AUTO_VALUE_ON_ZERO'");
}

$connection->schema()->createTable('node_comment_statistics', array(
  'fields' => array(
    'nid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'last_comment_timestamp' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'last_comment_name' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '60',
    ),
    'last_comment_uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'comment_count' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'nid',
  ),
  'indexes' => array(
    'node_comment_timestamp' => array(
      'last_comment_timestamp',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('node_comment_statistics')
->fields(array(
  'nid',
  'last_comment_timestamp',
  'last_comment_name',
  'last_comment_uid',
  'comment_count',
))
->values(array(
  'nid' => '1',
  'last_comment_timestamp' => '1632095400',
  'last_comment_name' => '',
  'last_comment_uid' => '1',
  'comment_count' => '1',
))
->values(array(
  'nid' => '2',
  'last_comment_timestamp' => '1632094798',
  'last_comment_name' => NULL,
  'last_comment_uid' => '1',
  'comment_count' => '0',
))
->values(array(
  'nid' => '3',
  'last_comment_timestamp' => '1632172557',
  'last_comment_name' => '',
  'last_comment_uid' => '3',
  'comment_count' => '5',
))
->values(array(
  'nid' => '4',
  'last_comment_timestamp' => '1632094813',
  'last_comment_name' => NULL,
  'last_comment_uid' => '0',
  'comment_count' => '0',
))
->values(array(
  'nid' => '5',
  'last_comment_timestamp' => '1632095400',
  'last_comment_name' => '',
  'last_comment_uid' => '0',
  'comment_count' => '1',
))
->values(array(
  'nid' => '6',
  'last_comment_timestamp' => '1632094834',
  'last_comment_name' => NULL,
  'last_comment_uid' => '6',
  'comment_count' => '0',
))
->values(array(
  'nid' => '7',
  'last_comment_timestamp' => '1632094845',
  'last_comment_name' => NULL,
  'last_comment_uid' => '0',
  'comment_count' => '0',
))
->values(array(
  'nid' => '8',
  'last_comment_timestamp' => '1632172567',
  'last_comment_name' => '',
  'last_comment_uid' => '3',
  'comment_count' => '2',
))
->values(array(
  'nid' => '9',
  'last_comment_timestamp' => '1632172563',
  'last_comment_name' => '',
  'last_comment_uid' => '1',
  'comment_count' => '1',
))
->values(array(
  'nid' => '10',
  'last_comment_timestamp' => '1632095640',
  'last_comment_name' => '',
  'last_comment_uid' => '0',
  'comment_count' => '1',
))
->values(array(
  'nid' => '12',
  'last_comment_timestamp' => '1632095400',
  'last_comment_name' => '',
  'last_comment_uid' => '2',
  'comment_count' => '2',
))
->values(array(
  'nid' => '13',
  'last_comment_timestamp' => '1632008566',
  'last_comment_name' => '',
  'last_comment_uid' => '7',
  'comment_count' => '0',
))
->values(array(
  'nid' => '14',
  'last_comment_timestamp' => '1632095460',
  'last_comment_name' => '',
  'last_comment_uid' => '1',
  'comment_count' => '1',
))
->values(array(
  'nid' => '15',
  'last_comment_timestamp' => '1632095580',
  'last_comment_name' => '',
  'last_comment_uid' => '1',
  'comment_count' => '1',
))
->values(array(
  'nid' => '16',
  'last_comment_timestamp' => '1632172549',
  'last_comment_name' => '',
  'last_comment_uid' => '12',
  'comment_count' => '1',
))
->values(array(
  'nid' => '17',
  'last_comment_timestamp' => '1632095136',
  'last_comment_name' => NULL,
  'last_comment_uid' => '0',
  'comment_count' => '0',
))
->values(array(
  'nid' => '18',
  'last_comment_timestamp' => '1632095494',
  'last_comment_name' => '',
  'last_comment_uid' => '0',
  'comment_count' => '0',
))
->values(array(
  'nid' => '19',
  'last_comment_timestamp' => '1632172645',
  'last_comment_name' => '',
  'last_comment_uid' => '1',
  'comment_count' => '3',
))
->values(array(
  'nid' => '20',
  'last_comment_timestamp' => '1632172560',
  'last_comment_name' => '',
  'last_comment_uid' => '3',
  'comment_count' => '1',
))
->execute();

// Reset the SQL mode.
if ($connection->databaseType() === 'mysql') {
  $connection->query("SET sql_mode = '$sql_mode'");
}