<?php
// phpcs:ignoreFile
/**
 * @file
 * A database agnostic dump for testing purposes.
 *
 * This file was generated by the Drupal 9.3.13 db-tools.php script.
 */

use Drupal\Core\Database\Database;

$connection = Database::getConnection();
// Ensure any tables with a serial column with a value of 0 are created as
// expected.
if ($connection->databaseType() === 'mysql') {
  $sql_mode = $connection->query("SELECT @@sql_mode;")->fetchField();
  $connection->query("SET sql_mode = '$sql_mode,NO_AUTO_VALUE_ON_ZERO'");
}

$connection->schema()->createTable('permission', array(
  'fields' => array(
    'rid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'perm' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'tid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'indexes' => array(
    'rid' => array(
      'rid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('permission')
->fields(array(
  'rid',
  'perm',
  'tid',
))
->values(array(
  'rid' => '1',
  'perm' => 'access comments, access content, access user profiles',
  'tid' => '0',
))
->values(array(
  'rid' => '2',
  'perm' => 'access news feeds, edit own blog, create book pages, create new books, access comments, post comments, post comments without approval, access site-wide contact form, create forum topics, edit own forum topics, access content, create page content, create story content, view revisions, create polls, vote on polls, access statistics, view post access counter, upload files, access user profiles',
  'tid' => '0',
))
->values(array(
  'rid' => '4',
  'perm' => 'create forum topics, administer menu, edit own page content, edit own story content, edit page content, edit story content, cancel own vote',
  'tid' => '0',
))
->values(array(
  'rid' => '6',
  'perm' => 'use PHP for block visibility, administer content with blog api, administer menu, revert revisions, inspect all votes',
  'tid' => '0',
))
->values(array(
  'rid' => '3',
  'perm' => 'edit own forum topics, administer menu, administer nodes, cancel own vote',
  'tid' => '0',
))
->execute();

// Reset the SQL mode.
if ($connection->databaseType() === 'mysql') {
  $connection->query("SET sql_mode = '$sql_mode'");
}