<?php
// phpcs:ignoreFile
/**
 * @file
 * A database agnostic dump for testing purposes.
 *
 * This file was generated by the Drupal 9.3.13 db-tools.php script.
 */

use Drupal\Core\Database\Database;

$connection = Database::getConnection();
// Ensure any tables with a serial column with a value of 0 are created as
// expected.
if ($connection->databaseType() === 'mysql') {
  $sql_mode = $connection->query("SELECT @@sql_mode;")->fetchField();
  $connection->query("SET sql_mode = '$sql_mode,NO_AUTO_VALUE_ON_ZERO'");
}

$connection->schema()->createTable('profile_fields', array(
  'fields' => array(
    'fid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '255',
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '128',
    ),
    'explanation' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'category' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '255',
    ),
    'page' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '255',
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '128',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'required' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'register' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'visibility' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'autocomplete' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'options' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'fid',
  ),
  'unique keys' => array(
    'name' => array(
      'name',
    ),
  ),
  'indexes' => array(
    'category' => array(
      array(
        'category',
        '191',
      ),
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('profile_fields')
->fields(array(
  'fid',
  'title',
  'name',
  'explanation',
  'category',
  'page',
  'type',
  'weight',
  'required',
  'register',
  'visibility',
  'autocomplete',
  'options',
))
->values(array(
  'fid' => '1',
  'title' => 'Profile single-line textfield',
  'name' => 'profile_single_line_textfield',
  'explanation' => 'Optional explanation',
  'category' => 'Personal information 1',
  'page' => '',
  'type' => 'textfield',
  'weight' => '0',
  'required' => '0',
  'register' => '1',
  'visibility' => '2',
  'autocomplete' => '1',
  'options' => '',
))
->values(array(
  'fid' => '2',
  'title' => 'Profile multi-line textfield',
  'name' => 'profile_multi_line_textfield',
  'explanation' => '',
  'category' => 'Personal information 2',
  'page' => '',
  'type' => 'textarea',
  'weight' => '0',
  'required' => '0',
  'register' => '0',
  'visibility' => '1',
  'autocomplete' => '0',
  'options' => '',
))
->values(array(
  'fid' => '3',
  'title' => 'Profile checkbox',
  'name' => 'profile_checkbox',
  'explanation' => '',
  'category' => 'Personal information 2',
  'page' => 'Profile checkbox title',
  'type' => 'checkbox',
  'weight' => '3',
  'required' => '0',
  'register' => '0',
  'visibility' => '2',
  'autocomplete' => '0',
  'options' => '',
))
->values(array(
  'fid' => '4',
  'title' => 'Profile list selection',
  'name' => 'profile_list_selection',
  'explanation' => '',
  'category' => 'Personal information 1',
  'page' => '',
  'type' => 'selection',
  'weight' => '-4',
  'required' => '1',
  'register' => '0',
  'visibility' => '2',
  'autocomplete' => '0',
  'options' => "foo\r\nbar\r\nbaz\r\nvery-very long text",
))
->values(array(
  'fid' => '5',
  'title' => 'Profile freeform list',
  'name' => 'profile_freeform_list',
  'explanation' => 'An optional explanation to go with the new field. The explanation will be shown to the user.',
  'category' => 'Personal information 2',
  'page' => '',
  'type' => 'list',
  'weight' => '5',
  'required' => '0',
  'register' => '0',
  'visibility' => '3',
  'autocomplete' => '1',
  'options' => '',
))
->values(array(
  'fid' => '6',
  'title' => 'Profile URL',
  'name' => 'profile_url',
  'explanation' => '',
  'category' => 'Personal information 1',
  'page' => '',
  'type' => 'url',
  'weight' => '0',
  'required' => '0',
  'register' => '1',
  'visibility' => '2',
  'autocomplete' => '0',
  'options' => '',
))
->values(array(
  'fid' => '7',
  'title' => 'Profile date',
  'name' => 'profile_date',
  'explanation' => '',
  'category' => 'Personal information 2',
  'page' => '',
  'type' => 'date',
  'weight' => '-5',
  'required' => '0',
  'register' => '0',
  'visibility' => '4',
  'autocomplete' => '0',
  'options' => '',
))
->execute();

// Reset the SQL mode.
if ($connection->databaseType() === 'mysql') {
  $connection->query("SET sql_mode = '$sql_mode'");
}