<?php
// phpcs:ignoreFile
/**
 * @file
 * A database agnostic dump for testing purposes.
 *
 * This file was generated by the Drupal 9.3.13 db-tools.php script.
 */

use Drupal\Core\Database\Database;

$connection = Database::getConnection();
// Ensure any tables with a serial column with a value of 0 are created as
// expected.
if ($connection->databaseType() === 'mysql') {
  $sql_mode = $connection->query("SELECT @@sql_mode;")->fetchField();
  $connection->query("SET sql_mode = '$sql_mode,NO_AUTO_VALUE_ON_ZERO'");
}

$connection->schema()->createTable('term_data', array(
  'fields' => array(
    'tid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'description' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'tid',
  ),
  'indexes' => array(
    'vid' => array(
      'vid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('term_data')
->fields(array(
  'tid',
  'vid',
  'name',
  'description',
  'weight',
))
->values(array(
  'tid' => '1',
  'vid' => '1',
  'name' => 'ritu',
  'description' => 'description of ritu',
  'weight' => '10',
))
->values(array(
  'tid' => '2',
  'vid' => '1',
  'name' => 'wuka',
  'description' => 'description of wuka',
  'weight' => '8',
))
->values(array(
  'tid' => '3',
  'vid' => '1',
  'name' => 'kuprulidud',
  'description' => '',
  'weight' => '1',
))
->values(array(
  'tid' => '4',
  'vid' => '1',
  'name' => 'swuj',
  'description' => 'description of swuj',
  'weight' => '8',
))
->values(array(
  'tid' => '5',
  'vid' => '2',
  'name' => 'crowrisewroh',
  'description' => 'description of crowrisewroh',
  'weight' => '4',
))
->values(array(
  'tid' => '6',
  'vid' => '1',
  'name' => 'monine',
  'description' => 'description of monine',
  'weight' => '10',
))
->values(array(
  'tid' => '7',
  'vid' => '2',
  'name' => 'dricrorocu',
  'description' => '',
  'weight' => '3',
))
->values(array(
  'tid' => '9',
  'vid' => '2',
  'name' => 'clanemapuwof',
  'description' => 'description of clanemapuwof',
  'weight' => '9',
))
->values(array(
  'tid' => '10',
  'vid' => '1',
  'name' => 'swebaspoc',
  'description' => 'description of swebaspoc',
  'weight' => '8',
))
->values(array(
  'tid' => '11',
  'vid' => '1',
  'name' => 'slucophithal',
  'description' => 'description of slucophithal',
  'weight' => '5',
))
->values(array(
  'tid' => '12',
  'vid' => '1',
  'name' => 'tho',
  'description' => 'description of tho',
  'weight' => '0',
))
->values(array(
  'tid' => '13',
  'vid' => '1',
  'name' => 'new',
  'description' => 'description of new',
  'weight' => '10',
))
->values(array(
  'tid' => '14',
  'vid' => '2',
  'name' => 'keshesav',
  'description' => 'description of keshesav',
  'weight' => '8',
))
->execute();

// Reset the SQL mode.
if ($connection->databaseType() === 'mysql') {
  $connection->query("SET sql_mode = '$sql_mode'");
}