<?php
// phpcs:ignoreFile
/**
 * @file
 * A database agnostic dump for testing purposes.
 *
 * This file was generated by the Drupal 9.3.13 db-tools.php script.
 */

use Drupal\Core\Database\Database;

$connection = Database::getConnection();
// Ensure any tables with a serial column with a value of 0 are created as
// expected.
if ($connection->databaseType() === 'mysql') {
  $sql_mode = $connection->query("SELECT @@sql_mode;")->fetchField();
  $connection->query("SET sql_mode = '$sql_mode,NO_AUTO_VALUE_ON_ZERO'");
}

$connection->schema()->createTable('url_alias', array(
  'fields' => array(
    'pid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'src' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'dst' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'pid',
  ),
  'unique keys' => array(
    'dst' => array(
      'dst',
    ),
  ),
  'indexes' => array(
    'src' => array(
      'src',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('url_alias')
->fields(array(
  'pid',
  'src',
  'dst',
))
->values(array(
  'pid' => '1',
  'src' => 'node/1',
  'dst' => 'node-1-forum',
))
->values(array(
  'pid' => '2',
  'src' => 'node/2',
  'dst' => 'node-2-book',
))
->values(array(
  'pid' => '5',
  'src' => 'node/5',
  'dst' => 'node-5-forum',
))
->values(array(
  'pid' => '6',
  'src' => 'node/6',
  'dst' => 'node-6-book',
))
->values(array(
  'pid' => '9',
  'src' => 'node/9',
  'dst' => 'node-9-page',
))
->values(array(
  'pid' => '10',
  'src' => 'node/10',
  'dst' => 'node-10-blog',
))
->values(array(
  'pid' => '14',
  'src' => 'node/14',
  'dst' => 'node-14-page',
))
->values(array(
  'pid' => '15',
  'src' => 'node/15',
  'dst' => 'node-15-blog',
))
->values(array(
  'pid' => '18',
  'src' => 'node/4',
  'dst' => 'node-4-book',
))
->values(array(
  'pid' => '22',
  'src' => 'node/16',
  'dst' => 'node-16-story',
))
->values(array(
  'pid' => '23',
  'src' => 'node/12',
  'dst' => 'node-12-story',
))
->values(array(
  'pid' => '24',
  'src' => 'node/18',
  'dst' => 'node-18-story',
))
->values(array(
  'pid' => '25',
  'src' => 'node/3',
  'dst' => 'node-3-blog',
))
->values(array(
  'pid' => '27',
  'src' => 'node/17',
  'dst' => 'node-17-book',
))
->values(array(
  'pid' => '29',
  'src' => 'node/8',
  'dst' => 'node-8-page',
))
->values(array(
  'pid' => '30',
  'src' => 'node/7',
  'dst' => 'node-7-book',
))
->values(array(
  'pid' => '31',
  'src' => 'node/13',
  'dst' => 'node-13-blog',
))
->values(array(
  'pid' => '32',
  'src' => 'node/19',
  'dst' => 'node-19-poll',
))
->values(array(
  'pid' => '33',
  'src' => 'node/20',
  'dst' => 'node-20-poll',
))
->execute();

// Reset the SQL mode.
if ($connection->databaseType() === 'mysql') {
  $connection->query("SET sql_mode = '$sql_mode'");
}