<?php
// phpcs:ignoreFile
/**
 * @file
 * A database agnostic dump for testing purposes.
 *
 * This file was generated by the Drupal 9.3.13 db-tools.php script.
 */

use Drupal\Core\Database\Database;

$connection = Database::getConnection();
// Ensure any tables with a serial column with a value of 0 are created as
// expected.
if ($connection->databaseType() === 'mysql') {
  $sql_mode = $connection->query("SELECT @@sql_mode;")->fetchField();
  $connection->query("SET sql_mode = '$sql_mode,NO_AUTO_VALUE_ON_ZERO'");
}

$connection->schema()->createTable('users', array(
  'fields' => array(
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '60',
      'default' => '',
    ),
    'pass' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'mail' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '64',
      'default' => '',
    ),
    'mode' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'sort' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'threshold' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'theme' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'signature' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'access' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'login' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'status' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'timezone' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '8',
    ),
    'language' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '12',
      'default' => '',
    ),
    'picture' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'init' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '64',
      'default' => '',
    ),
    'data' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
  ),
  'primary key' => array(
    'uid',
  ),
  'unique keys' => array(
    'name' => array(
      'name',
    ),
  ),
  'indexes' => array(
    'created' => array(
      'created',
    ),
    'access' => array(
      'access',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('users')
->fields(array(
  'uid',
  'name',
  'pass',
  'mail',
  'mode',
  'sort',
  'threshold',
  'theme',
  'signature',
  'created',
  'access',
  'login',
  'status',
  'timezone',
  'language',
  'picture',
  'init',
  'data',
))
->values(array(
  'uid' => '1',
  'name' => 'admin',
  'pass' => '63a9f0ea7bb98050796b649e85481845',
  'mail' => 'admin@localhost',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => 'admin user signature',
  'created' => '1632071254',
  'access' => '1632300421',
  'login' => '1632084651',
  'status' => '1',
  'timezone' => '0',
  'language' => '',
  'picture' => '',
  'init' => 'admin@localhost.localdomain',
  'data' => 'a:1:{s:7:"contact";i:1;}',
))
->values(array(
  'uid' => '2',
  'name' => 'spotiprepral',
  'pass' => 'a52c125747a46516ce11bc2ca4fcfbe2',
  'mail' => 'spotiprepral@localhost.localdomain',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => 'spotiprepral user signature',
  'created' => '1632087017',
  'access' => '1632174889',
  'login' => '1632174640',
  'status' => '1',
  'timezone' => '50400',
  'language' => '',
  'picture' => '',
  'init' => '',
  'data' => 'a:1:{s:7:"contact";i:0;}',
))
->values(array(
  'uid' => '3',
  'name' => 'phamishajaru',
  'pass' => 'eda97c6ab27b6a0cafcfd16f083725b9',
  'mail' => 'phamishajaru@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'created' => '1632086006',
  'access' => '0',
  'login' => '0',
  'status' => '0',
  'timezone' => '0',
  'language' => '',
  'picture' => '',
  'init' => '',
  'data' => 'a:1:{s:7:"contact";i:0;}',
))
->values(array(
  'uid' => '5',
  'name' => 'kabriphapemu',
  'pass' => '561cd602831d52f2d7fc9ab93a6cc2e0',
  'mail' => 'kabriphapemu@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => 'kabriphapemu user signature',
  'created' => '1632084004',
  'access' => '1632088372',
  'login' => '1632088248',
  'status' => '1',
  'timezone' => '-28800',
  'language' => '',
  'picture' => '',
  'init' => '',
  'data' => 'a:1:{s:7:"contact";i:1;}',
))
->values(array(
  'uid' => '6',
  'name' => 'pugophasutad',
  'pass' => '5a77afbbcc1ef852fb37d614ca01fe79',
  'mail' => 'pugophasutad@localhost.localdomain',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'created' => '1632083013',
  'access' => '1632298406',
  'login' => '1632298167',
  'status' => '1',
  'timezone' => '-39600',
  'language' => '',
  'picture' => '',
  'init' => '',
  'data' => 'a:1:{s:7:"contact";i:0;}',
))
->values(array(
  'uid' => '7',
  'name' => 'swupipih',
  'pass' => '8933a684edca857fd3007e49d1184e8d',
  'mail' => 'swupipih@localhost',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'created' => '1632082002',
  'access' => '1632298415',
  'login' => '1632298195',
  'status' => '1',
  'timezone' => '0',
  'language' => '',
  'picture' => '',
  'init' => '',
  'data' => 'a:1:{s:7:"contact";i:1;}',
))
->values(array(
  'uid' => '8',
  'name' => 'roph',
  'pass' => '99fd5c8859c19d24ab26a5d3122032cf',
  'mail' => 'roph@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'created' => '1632081011',
  'access' => '1632298390',
  'login' => '1632298111',
  'status' => '1',
  'timezone' => '0',
  'language' => '',
  'picture' => '',
  'init' => '',
  'data' => 'a:1:{s:7:"contact";i:1;}',
))
->values(array(
  'uid' => '12',
  'name' => 'vaswijimiwri',
  'pass' => '551ea954522c1c7b2cbbcb01da91d6e7',
  'mail' => 'vaswijimiwri@localhost',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'created' => '1632128071',
  'access' => '1632128741',
  'login' => '1632128741',
  'status' => '0',
  'timezone' => '7200',
  'language' => '',
  'picture' => '',
  'init' => '',
  'data' => 'a:1:{s:7:"contact";i:0;}',
))
->execute();

// Reset the SQL mode.
if ($connection->databaseType() === 'mysql') {
  $connection->query("SET sql_mode = '$sql_mode'");
}